# $Revision: 1.16 $, $Date: 2005/11/19 15:48:44 $
Summary:	Advanced Linux Sound Architecture - OSS compatibility wrapper library & script
Summary(pl):	Advanced Linux Sound Architecture - biblioteka i skrypt kompatybilnoci z OSS
Name:		alsa-oss
Version:	1.0.10
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	ftp://ftp.alsa-project.org/pub/oss-lib/%{name}-%{version}.tar.bz2
# Source0-md5:	0b3f9f95b989fc1f9305fa1e4e0227f0
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the ALSA -> OSS compatibility library and simple
wrapper script which facilitates its use. This script just sets the
appropriate LD_PRELOAD path and then runs the command.

%description -l pl
Ten pakiet zawiera bibliotek kompatybilnoci ALSA -> OSS oraz prosty
wrapper ktry uatwia jej uycie, po prostu ustawiajc odpowiednie
LD_PRELOAD i uruchamiajc polecenie.

%package devel
Summary:	ossredir header file and static library
Summary(pl):	Plik nagwkowy i biblioteka statyczka ossredir
Group:		Development/Libraries
# doesn't require base on build time (only at runtime...)

%description devel
The purpose of this little piece of code is to redirect OSS (Open
Sound System) calls to any shared library to avoid overhead caused
with the LD_PRELOAD wrapper. Especially, wrapping select() and poll()
functions cause big overhead.

%description devel -l pl
Celem tego maego kawaka kodu jest przekierowanie wywoa OSS (Open
Sound System) do dowolnej biblioteki dzielonej, aby zapobiec narzutowi
wywoanemu przez wrapper LD_PRELOAD. Szczeglnie przechwytywanie
select() i poll() powoduje duy narzut.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless (preloadable libraries)
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{alsatoss,aoss}.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aoss
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man1/aoss.1*

%files devel
%defattr(644,root,root,755)
%doc oss-redir/README
%{_libdir}/libossredir.a
%{_libdir}/libossredir.la
%{_includedir}/oss-redir.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-oss.spec,v $
Revision 1.16  2005/11/19 15:48:44  qboosh
- updated to 1.0.10

Revision 1.15  2005/06/05 09:46:36  qboosh
- updated to 1.0.9

Revision 1.14  2005/05/03 22:15:32  pluto
- refresh config.sub for amd64.

Revision 1.13  2005/05/03 21:04:23  pluto
- release 2 for Th.

Revision 1.12  2005/01/15 17:43:57  qboosh
- updated to 1.0.8

Revision 1.11  2004/11/21 15:19:26  qboosh
- updated to 1.0.7

Revision 1.10  2004/10/16 00:52:41  paladine
- spelling fix

Revision 1.9  2004/08/17 08:14:39  pluto
- updated to 1.0.6.

Revision 1.8  2004/05/30 11:13:45  arekm
- updated to 1.0.5

Revision 1.7  2004/04/16 21:48:54  qboosh
- updated to 1.0.4

Revision 1.6  2004/03/01 20:37:44  qboosh
- updated to 1.0.3a
- added -devel package with ossredir lib (dlopening libalsatoss)

Revision 1.5  2004/01/27 13:02:09  qboosh
- updated to 1.0.2

Revision 1.4  2004/01/09 19:52:31  qboosh
- updated to 1.0.1

Revision 1.3  2003/12/21 00:25:18  qboosh
- shortened summaries a little, cosmetics, cleanups and unifications

Revision 1.2  2003/12/19 19:33:16  maho
- fixed typo in files (now /usr/lib/libaoss.so is also included)

Revision 1.1  2003/12/19 19:22:51  maho
- new , based on alsa-lib.spec
